Bug 800606 (CVE-2012-1143) - CVE-2012-1143 freetype: integer divide by zero in FT_DivFix() (#35660)
Summary: CVE-2012-1143 freetype: integer divide by zero in FT_DivFix() (#35660)
Status: CLOSED ERRATA
Alias: CVE-2012-1143
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20120228,reported=2...
Keywords: Security
Depends On: 806266 806267 806268 806269 806270 806271 889398
Blocks: 800639
TreeView+ depends on / blocked
 
Reported: 2012-03-06 18:59 UTC by Jan Lieskovsky
Modified: 2016-11-08 15:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-24 21:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0467 normal SHIPPED_LIVE Important: freetype security update 2012-04-10 23:55:00 UTC

Description Jan Lieskovsky 2012-03-06 18:59:12 UTC
An integer divide by zero was found in the way FreeType font rendering engine performed arithmetic computations for certain fonts. A remote attacker could provide a specially-crafted font file, which once opened in an application linked against FreeType would lead to that application crash.

Upstream bug report:
[1] https://savannah.nongnu.org/bugs/?35660

Upstream patch:
[2] http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=ba67957d5ead443f4b6b31805d6e780d54361ca4

Acknowledgements:

Red Hat would like to thank Mateusz Jurczyk of the Google Security Team for reporting this issue.

Comment 1 Kurt Seifried 2012-03-06 20:58:31 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/06/16

Comment 4 errata-xmlrpc 2012-04-10 19:59:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0467 https://rhn.redhat.com/errata/RHSA-2012-0467.html


Note You need to log in before you can comment on or make changes to this bug.